summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2019-11-10 11:00:23 -0800
committerZac Medico <zmedico@gentoo.org>2019-11-10 11:02:21 -0800
commit9dd2601f275c9172deeddead235f416efc94bc86 (patch)
treee95b837f3e0d091d1c2177f465defd5150d5651f /dev-util/editorconfig-geany
parentmedia-libs/libchamplain: Bump to 0.12.20 (diff)
downloadgentoo-9dd2601f275c9172deeddead235f416efc94bc86.tar.gz
gentoo-9dd2601f275c9172deeddead235f416efc94bc86.tar.bz2
gentoo-9dd2601f275c9172deeddead235f416efc94bc86.zip
dev-util/editorconfig-geany: Bump to version 0.2
Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Diffstat (limited to 'dev-util/editorconfig-geany')
-rw-r--r--dev-util/editorconfig-geany/Manifest1
-rw-r--r--dev-util/editorconfig-geany/editorconfig-geany-0.2.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/dev-util/editorconfig-geany/Manifest b/dev-util/editorconfig-geany/Manifest
index 8f409dc0cda..34ffd7e41b7 100644
--- a/dev-util/editorconfig-geany/Manifest
+++ b/dev-util/editorconfig-geany/Manifest
@@ -1 +1,2 @@
DIST editorconfig-geany-0.1_p20160725.tar.gz 10336 BLAKE2B 0794a7c90c46eb107822a2ceba92ae5dbcafcbe11aac519d8cd2102d92b93c578f3f49e31f7e281df2c3a90facaf29df5fdfa0b2970dd75894356066f4c40a0a SHA512 ac8c4d46c17a5592c8f75a4100cfa1eaa55cb5333a1a6330ae84249d6df3b9ae4b454ee9c68b88ad777f5bea22ad1f3ce0a63bf89a1dd41d13abcfbd2a585734
+DIST editorconfig-geany-0.2.tar.gz 12322 BLAKE2B 2d203d3df6c6a7bb18a0b80cd33c041606b9732a83c5210fe3a66db587dedd81e1a1c2102e827980f6d85404cceed3b097f85e6c33aea81f21e9725fa7dd49e8 SHA512 cda2fd6c8ff5b7a2088840e5f2ceebb2f00f48281ff2943c4ffada30a7e70ce18ae9a84e5ac946e3affb3e5238512f829e545d31b59383722820b89c0309702d
diff --git a/dev-util/editorconfig-geany/editorconfig-geany-0.2.ebuild b/dev-util/editorconfig-geany/editorconfig-geany-0.2.ebuild
new file mode 100644
index 00000000000..3e1268e041e
--- /dev/null
+++ b/dev-util/editorconfig-geany/editorconfig-geany-0.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="EditorConfig plugin for Geany"
+HOMEPAGE="https://github.com/editorconfig/editorconfig-geany/"
+EGIT_COMMIT="v${PV}"
+SRC_URI="https://github.com/editorconfig/${PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+CDEPEND="app-text/editorconfig-core-c:="
+DEPEND="${CDEPEND}
+ dev-util/geany"
+RDEPEND="${CDEPEND}"
+S=${WORKDIR}/${PN}-${EGIT_COMMIT#v}
+
+src_prepare() {
+ eapply_user
+ sed -e "s|^\\(EDITORCONFIG_PREFIX =\\).*|\\1 ${EPREFIX}/usr|" \
+ -e "s|^\\(CFLAGS =\\).*|\\1 -fPIC $("$(tc-getPKG_CONFIG)" --cflags geany geany) ${CFLAGS}|" \
+ -e "s|^\\(LDFLAGS =.*\\)|\\1 ${LDFLAGS}|" \
+ -e "s|\`pkg-config[^\`]*\`||" \
+ -i Makefile || die
+}
+
+src_install() {
+ exeinto "$("$(tc-getPKG_CONFIG)" --variable=libdir geany)/geany"
+ doexe ${PN}.so
+ dodoc README.md
+}